Bug 42602 - Custom BoxView Renderer Does Not Render All Its Children Elements
Summary: Custom BoxView Renderer Does Not Render All Its Children Elements
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.1.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-15 19:09 UTC by Jimmy [MSFT]
Modified: 2017-03-22 18:39 UTC (History)
5 users (show)

See Also:
Tags: ac
Is this bug a regression?: Yes
Last known good build: 2.0.1.6505


Attachments
repro project (45.25 KB, application/zip)
2016-07-15 19:09 UTC, Jimmy [MSFT]
Details

Description Jimmy [MSFT] 2016-07-15 19:09:26 UTC
Created attachment 16687 [details]
repro project

### Overview
In the attached repro project, a Canvas with an Ellipse and TextBlock is added the BoxView renderer's Children property. However only the Ellipse is rendered on screen. This worked before Forms 2.0. and both the Ellipse and TextBlock would be displayed.


### Steps to Reproduce
1. Run the attached repro project


### Expected Results
You will see a red circle and text.


### Actual Results
Only the red circle is rendered.


### Version Info
Tested with Forms 2.3 and Forms 2.3.1-pre2
Comment 1 Samantha Houts [MSFT] 2016-09-27 23:43:27 UTC
This should be fixed in 2.3.3-pre3. However, please be aware that the fix requires a small change to your WinRT/UWP custom renderers. You will need to add ArrangeNativeChildren = true to OnElementChanged(). Please see https://github.com/xamarin/Xamarin.Forms/pull/322/files for a complete example.

Warm regards,
Xamarin Forms Team
Comment 2 Prashant manu 2016-11-03 16:29:13 UTC
I have checked this issue with X.F 2.3.3.163-pre3 and add ArrangeNativeChildren = true to OnElementChanged() but I am still facing same issue i.e Only red circle is rendered, text doesn't render. 

Screencast with X.F 1.4.3.6376: http://www.screencast.com/t/wdMpsgr1

Screencast with X.F 2.3.3.163-pre3: http://www.screencast.com/t/c1wvYdnOYr

Hence reopen this issue.
Comment 3 Parmendra Kumar 2016-11-03 16:31:11 UTC
An update of comment #2,

@Samantha, Could you please have a look and let me know If I have missed anything to verify this issue

Thanks.
Comment 4 Samantha Houts [MSFT] 2017-03-22 17:15:46 UTC
@Jimmy Garrido: Can you please verify if this bug has actually been fixed? It is definitely fixed when I look at it. Thanks!
Comment 5 Jimmy [MSFT] 2017-03-22 18:39:16 UTC
I confirm that I can no longer reproduce this issue with Forms 2.3.3.193 and adding ArrangeNativeChildren = true in the custom renderer.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.